Issue #9665 has been updated by Nobuyoshi Nakada.

Description updated
Target version set to current: 2.2.0
Backport set to 2.0.0: REQUIRED, 2.1: REQUIRED

With MacPorts apple-gcc42, `__builtin_unreachable` seems detected as `no`, successfully.


----------------------------------------
Bug #9665: Ruby 2.1.1 fails to build on PowerPC darwin, due to __builtin_unreachable
https://bugs.ruby-lang.org/issues/9665#change-46308

* Author: Misty De Meo
* Status: Open
* Priority: Normal
* Assignee: cruby-mac
* Category: platform/darwin
* Target version: current: 2.2.0
* ruby -v: ruby 2.1.1p76 (2014-02-24 revision 45161) [powerpc-darwin8.0]
* Backport: 2.0.0: REQUIRED, 2.1: REQUIRED
----------------------------------------
Ruby 2.1.1 (and possibly a few older versions) fails to build on PowerPC Darwin using Apple-provided GCCs. When linking miniruby, the build fails due to:

~~~
/usr/libexec/gcc/powerpc-apple-darwin8/4.2.1/ld: Undefined symbols:
___builtin_unreachable
~~~

This occurs with Apple GCC 4.0 and 4.2, on Mac OS X 10.4 and 10.5 PowerPC. The issue does not occur using newer FSF GCCs (for instance, 4.8.2) on the same OS X versions. While I'm unable to test on 10.5 Intel, I can confirm that newer Intel OS X versions work fine using Apple GCC 4.2.

Verbose build logs, from Mac OS X 10.4 with Apple GCC 4.2, are attached.

While I suspect this was possibly introduced by r34784, as removing the check from configure allows the build to succeed, that revision is 2 years old and I only noticed these build failures beginning relatively recently.

---Files--------------------------------
01.configure (18.7 KB)
02.make (38.7 KB)
config.log (1.12 MB)


-- 
https://bugs.ruby-lang.org/